Skip to main content
GET
Get account balance

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. Format: Authorization: Bearer sk_live_xxxxx

Headers

Xerobi-Version
string
default:2026-01-01
required

API version in YYYY-MM-DD format. Using the latest version ensures access to newest features.

Pattern: ^\d{4}-\d{2}-\d{2}$

Response

Account balance information

Account balance information

currency
string
required

Currency code (ISO 4217)

Example:

"BDT"

balance
number
required

Current account balance

Required range: x >= 0
Example:

524.25

credit_limit
number | null

Available credit limit (if applicable)

Example:

1000

low_balance_threshold
number

Balance threshold for low balance alerts

Example:

100

auto_recharge
boolean

Whether auto-recharge is enabled

Example:

true